SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (File Transfer/Sharing)  >   tnftp (Lukemftp) Vendors:   Mewburn, Luke
(Debian Issues Fix for lukemftpd) NetBSD ftpd Multiple Flaws Let Remote Users Gain Root Access
SecurityTracker Alert ID:  1011378
SecurityTracker URL:  http://securitytracker.com/id/1011378
CVE Reference:   CVE-2004-0794   (Links to External Site)
Date:  Sep 21 2004
Impact:   Root access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   Several vulnerabilities were reported in NetBSD's ftpd. A remote user can gain root access on the target system. Lukemftpd is affected.

NetBSD reported that there are a series of flaws in ftpd. A remote user can exploit these flaws together to manipulate files on the target system with root privileges, leading to root access on the target system. No details were provided.

The vendor reports that since NetBSD 1.5.3, ftpd is disabled by default.

NetBSD credits Przemyslaw Frasunek with reporting this flaw.

Impact:   A remote user can gain root access on the target system.
Solution:   Debian has released a fix for lukemftpd, which is affected by this vulnerability.

Debian GNU/Linux 3.0 alias woody:

Source archives:

http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2.dsc
Size/MD5 checksum: 607 06103d9e3c0203ac9683b6d85b0648e8
http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2.diff.gz
Size/MD5 checksum: 21428 31c9f38076478a9efca1fb6af1e4da91
http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1.orig.tar.gz
Size/MD5 checksum: 162161 66286f1cc17988964c6e224e196c7b94

Alpha architecture:

http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2_alpha.deb
Size/MD5 checksum: 87198 8a02a98d0a2896249462e30aa990c823

ARM architecture:

http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2_arm.deb
Size/MD5 checksum: 75226 b61e81a3e2ec0a523bd2022766b63597

Intel IA-32 architecture:

http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2_i386.deb
Size/MD5 checksum: 70458 a2c736d42b10f7c711f8275b0ab4aa81

Intel IA-64 architecture:

http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2_ia64.deb
Size/MD5 checksum: 103980 eab48b110d0d2890f0c0e69bbe774a13

HP Precision architecture:

http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2_hppa.deb
Size/MD5 checksum: 81882 12578b2f1d100a2feda3183548c257ac

Motorola 680x0 architecture:

http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2_m68k.deb
Size/MD5 checksum: 67132 219fb21073fd97ed01e9726258a9817f

Big endian MIPS architecture:

http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2_mips.deb
Size/MD5 checksum: 79572 6b0f8dcb732f6fde37ca532ac085ad67

Little endian MIPS architecture:

http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2_mipsel.deb
Size/MD5 checksum: 79464 714e022877fa3c8349956f89a84b721f

PowerPC architecture:

http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2_powerpc.deb
Size/MD5 checksum: 75426 0556b5925eb57b3d40cbff7352e3fc0d

IBM S/390 architecture:

http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2_s390.deb
Size/MD5 checksum: 75448 7d43eff77fb5a4ac0c71b50864438465

Sun Sparc architecture:

http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2_sparc.deb
Size/MD5 checksum: 77976 67ec7f91ad6e30ac60f1e54b51cb476b

Cause:   Not specified
Underlying OS:  Linux (Debian)
Underlying OS Comments:  3.0

Message History:   This archive entry is a follow-up to the message listed below.
Aug 17 2004 NetBSD ftpd Multiple Flaws Let Remote Users Gain Root Access



 Source Message Contents

Subject:  [SECURITY] [DSA 551-1] New lukemftpd packages fix arbitrary code execution


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- --------------------------------------------------------------------------
Debian Security Advisory DSA 551-1                     security@debian.org
http://www.debian.org/security/                             Martin Schulze
September 21st, 2004                    http://www.debian.org/security/faq
- --------------------------------------------------------------------------

Package        : lukemftpd
Vulnerability  : incorrect internal variable handling
Problem-Type   : remote
Debian-specific: no
CVE ID         : CAN-2004-0794

Przemyslaw Frasunek discovered a vulnerability in tnftpd or lukemftpd
respectively, the enhanced ftp daemon from NetBSD.  An attacker could
utilise this to execute arbitrary code on the server.

For the stable distribution (woody) this problem has been fixed in
version 1.1-1woody2.

For the unstable distribution (sid) this problem has been fixed in
version 1.1-2.2.

We recommend that you upgrade your lukemftpd package.


Upgrade Instructions
- --------------------

wget url
        will fetch the file for you
dpkg -i file.deb
        will install the referenced file.

If you are using the apt-get package manager, use the line for
sources.list as given below:

apt-get update
        will update the internal database
apt-get upgrade
        will install corrected packages

You may use an automated update by adding the resources from the
footer to the proper configuration.


Debian GNU/Linux 3.0 alias woody
- --------------------------------

  Source archives:

    http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2.dsc
      Size/MD5 checksum:      607 06103d9e3c0203ac9683b6d85b0648e8
    http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2.diff.gz
      Size/MD5 checksum:    21428 31c9f38076478a9efca1fb6af1e4da91
    http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1.orig.tar.gz
      Size/MD5 checksum:   162161 66286f1cc17988964c6e224e196c7b94

  Alpha architecture:

    http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2_alpha.deb
      Size/MD5 checksum:    87198 8a02a98d0a2896249462e30aa990c823

  ARM architecture:

    http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2_arm.deb
      Size/MD5 checksum:    75226 b61e81a3e2ec0a523bd2022766b63597

  Intel IA-32 architecture:

    http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2_i386.deb
      Size/MD5 checksum:    70458 a2c736d42b10f7c711f8275b0ab4aa81

  Intel IA-64 architecture:

    http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2_ia64.deb
      Size/MD5 checksum:   103980 eab48b110d0d2890f0c0e69bbe774a13

  HP Precision architecture:

    http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2_hppa.deb
      Size/MD5 checksum:    81882 12578b2f1d100a2feda3183548c257ac

  Motorola 680x0 architecture:

    http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2_m68k.deb
      Size/MD5 checksum:    67132 219fb21073fd97ed01e9726258a9817f

  Big endian MIPS architecture:

    http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2_mips.deb
      Size/MD5 checksum:    79572 6b0f8dcb732f6fde37ca532ac085ad67

  Little endian MIPS architecture:

    http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2_mipsel.deb
      Size/MD5 checksum:    79464 714e022877fa3c8349956f89a84b721f

  PowerPC architecture:

    http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2_powerpc.deb
      Size/MD5 checksum:    75426 0556b5925eb57b3d40cbff7352e3fc0d

  IBM S/390 architecture:

    http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2_s390.deb
      Size/MD5 checksum:    75448 7d43eff77fb5a4ac0c71b50864438465

  Sun Sparc architecture:

    http://security.debian.org/pool/updates/main/l/lukemftpd/lukemftpd_1.1-1woody2_sparc.deb
      Size/MD5 checksum:    77976 67ec7f91ad6e30ac60f1e54b51cb476b


  These files will probably be moved into the stable distribution on
  its next update.

- ---------------------------------------------------------------------------------
For apt-get: deb http://security.debian.org/ stable/updates main
For dpkg-ftp: ftp://security.debian.org/debian-security dists/stable/updates/main
Mailing list: debian-security-announce@lists.debian.org
Package info: `apt-cache show <pkg>' and http://packages.debian.org/<pkg>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBUDrpW5ql+IAeqTIRAshbAJ48X3VVUL0bE6puGSOHdeOQTleDagCdFSQP
XBBa79Hde4bWQQJXxcHCXgk=
=jgtG
-----END PGP SIGNATURE-----


-- 
To UNSUBSCRIBE, email to debian-security-announce-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC